Subject: Re: bug#67520: 29.1; Mention headers

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 06 Dec 2023 07:09:00 -0800

On 12/05/23 13:06 PM, Dan Jacobson wrote:
>>>>>> "EA" == Eric Abrahamsen <[email-masked]> writes:
>
> EA> And the real question is how to offer this option to the user.
> EA> Everything is already thoroughly overloaded...
>
> Yup, I just tested it and the only difference with the message before
> gnus got its hands one it was
>
> 0a1
>> From nobody Tue Dec  5 13:00:45 2023
> 65a67
>> X-Gnus-Mail-Source: maildir:~/Maildir/new
> 67a70,71
>> MIME-Version: 1.0
>> Content-Type: text/plain
> 89a94
>>
>
> And it is good that the X-Gnus-Mail-Source doesn't show up in the
> forwarded message too.
>
> So you are on the right track.

What I can offer you is a "symbolic prefix" (see the Gnus manual section
of the same name). What that means is that, in addition to the usual
numerical prefixes, you could also type "M-i a" before the command ("a"
here standing for "all headers") and the forwarding code would let-bind
`message-forward-included-headers' to nil.

That's the best I can come up with.